
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ASP.NET中利用SQLXML WEB服务访问XML数据 / iVAN</title>

    <meta name="description" content="ASP.NET中利用SQLXML WEB服务访问XML数据 asp.net|sql|web|web服务|xml|访问|数据      引言 使用SQLXML 的Web 服务从你的ASP.net应用程序中直接访问XML 数据       SQLXML 是扩展SQL 服务器现有的对检索和储存XML 数据的支持的一套附加的工具. 有了SQLXML 3.0,你现在就能使用SQL服务器展示Web 服务了.在SQLXML的Web 服务可以让用户执行存储过程,用户定义的功能,并且它们支持模板.       在这篇文章中,你将看出怎样展示一个作为Web 服务并构建一个简">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ASP.NET中利用SQLXML WEB服务访问XML数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>asp.net|sql|web|web服务|xml|访问|数据</p>
<p>     引言 使用SQLXML 的Web 服务从你的ASP.net应用程序中直接访问XML 数据 <br />   <br />  　　SQLXML 是扩展SQL 服务器现有的对检索和储存XML 数据的支持的一套附加的工具。 有了SQLXML 3.0，你现在就能使用SQL服务器展示Web 服务了。在SQLXML的Web 服务可以让用户执行存储过程，用户定义的功能，并且它们支持模板。 <br />   <br />  　　在这篇文章中，你将看出怎样展示一个作为Web 服务并构建一个简单ASP.NET 基于Web 表单的客户端并访问和测试Web 服务的存储过程。 你应该有对SQL Server 2000和IIS 基本的理解，包括如何在IIS中安装虚拟目录以及怎样在SQL Server中设置用户许可。 你可以在 SQL Server 2000 Books Online 和SQLXML 3.0 Documentation 中找到相关的主题。在此之前，你需要一个SQL Server 2000 的实例，一台运行IIS的Windows 2000 服务器，微软公司的MSXML 4.0 XML 语法分析程序， SQLXML 3.0 工具箱，以及Visual Studio .NET( VS.net)。 <br />   <br />  　　配置Web服务 <br />   <br />  　　本文的所使用的示范应用程序是SQL Server服务器默认安装的Northwind 样本数据库。 我们要开始本文要讨论的问题，但是我们必须遵循下载的SQLXML 3.0 installer中所附带的SQLXML 3.0 技术资料里的教学指示。首先，执行在SQLXML 3.0 文献中的标记为Creating the nwind Virtual Directory 的过程程序。 到SQLXML 3.0程序组下的Configure IIS Support MMC 内嵌应用程序。选择默认的服务器的网址，到Action菜单并且选择New，然后点击虚拟目录。 在IIS 下创建一个名为nwind的虚拟目录，支持访问Northwind 数据库的SQLXML应用程序。 配置安全设置来支持虚拟目录应用程序对Northwind 数据库的访问。 在设置选项中，选定AllowPost选项。 这样能够允许HTTP POST请求，以便支持SQLXML 网络。 在虚拟目录下，你可以配置不同类型的SQLXML 应用程序，包括模板， schemas 和dbobjects，支持模板执行， 对映射schema 文件的Xpath查询和不同数据库对象的直接的访问。 在虚拟目录下的这些不同类型的应用程序被称为virtual name（虚拟名称）类型。 还有用来标识使用SOAP消息发送的Web服务的SOAP虚拟名称类型。 创建一个SOAP虚拟名称类型，并把它命名为MyWebService(见图1)。现在你需要按照标记为Step 2的部分中所说的步骤做： Configuring the Virtual Name under the topic Initial Setup for Sending SOAP Requests。 <br />   <br />  　　键入MyWebService作为 新的虚拟目录应用程序的名称，并选择虚拟名称类型为SOAP( 见图一)。 这样就建立了一个对Northwind数据库的Web 服务扩展的引用。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTk1ODQwNzMyLmpwZw==.jpg"></p>
<p>     配置 MyWebService <br />   <br />  　　为你的Web 服务创建一个WSDL( Web 服务定义语言) 文件和一个SQL 服务器配置(.ssc) 配置文件。 ssc 文件描述了虚拟名称类型配置，并且SQLXML 使用它来生成WSDL 文件。 而WSDL 文件描述了Web 服务以及当使用Web服务时你的应用程序可以调用的方法。 <br />   <br />  　　在设置一个SOAP虚拟名称类型之后，选择SQLXML 3.0 的IIS 虚拟目录管理工具下面的虚拟名称选项卡中的配置选项。 为了设置一个存储过程方法映射用于你的SOAP虚拟名称类型，选择SP/Template选项下面的CustOrdersDetail存储过程，然后选择Save选项。在完成这步之后，浏览你的nwind虚拟目录并寻找名为soap.wsdl的文件，这个文件是XML格式的WSDL 文件,描述了你配置的服务。 我们可以在任何一个文本编辑程序里打开，文件可能会象这样： <br />   <br />  ＜xsd:element name="CustOrdersDetail"＞ <br />  ＜xsd:complexType＞ <br />  ＜xsd:sequence＞ <br />  ＜xsd:element minOccurs="0" maxOccurs="1" <br />  name="OrderID" type="xsd:int" <br />  nillable="true"/＞ <br />  ＜/xsd:sequence＞ <br />  ＜/xsd:complexType＞ <br />  ＜/xsd:element＞ <br />  ＜xsd:element name="CustOrdersDetailResponse"＞ <br />  ＜xsd:complexType＞ <br />  ＜xsd:sequence＞ <br />  ＜xsd:element minOccurs="1" maxOccurs="1" <br />  name="CustOrdersDetailResult" <br />  type="sqlresultstream:SqlResultStream"/＞ <br />  ＜xsd:element name="returnValue" <br />  type="xsd:int" nillable="true"/＞ <br />  ＜/xsd:sequence＞ <br />  ＜/xsd:complexType＞ <br />  ＜/xsd:element＞ <br />   <br />   <br />  　　这段由SQLXML生成的CustOrdersDetail WSDL 文件片段(SOAP.wsdl)，向我们展示了CustOrdersDetail 方法的配置，包括输入和输出参数的定义。 <br />   <br />  　　构造ASP.net 客户端 <br />   <br />  　　在配置完SQLXML Web 服务之后，你需要开发一个客户应用程序来访问这个服务并且执行它的任何操作。 首先，创建一个新的C # 或VB.Net ASP.NET Web 应用程序并把它命名为WebServiceClient。你需要添加3 个控件到默认的Web表单上去： 一个带有ID btnRequest 的按钮，和两个TextBox 控件，一个是ID txtOrderID ，另一个是ID txtResponse。 设置txtResponse TextBox控件的TextMode属性为 MultiLine 以便支持从Web服务中返回的XML应答。表单应该像图2那样。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTk1ODQxOTE5LmpwZw==.jpg"></p>
<p>  　　在添加控件之后，你将需要给你刚刚建立的Web 服务添加一个引用。 为了做到这一点，在VS. NET中，点击Solution Explorer窗口中的References文件夹，在References文件夹上用右键点击，然后Add Web Reference菜单选项。（见图3）</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTk1ODQxMjY5LmpwZw==.jpg"></p>
<p>  你选择的URL 参考你以前创建的Web 服务。 注意我使用的服务器名为localhost，参考我的IIS 的本地实例，虚拟目录路径是nwind，对于Northwind数据库虚拟目录，Web 服务名为MyWebService。如果你没有使用一台本地服务器，你将需要在URL 里用你的服务器名或者IP 地址代替。</p>
<p>     调用Web服务 <br />   <br />  　　在创建ASP.net工程之后，你需要添加代码来调用Web 服务。 你想要应用程序调用Web 服务，可以调用CustOrdersDetail 方法，并且处理当用户点击按钮以后返回的XML结果集。添加以下的代码到btnRequest_Click事件。 <br />   <br />  (C# 代码) <br />   <br />  private void btnRequest_Click(object sender, <br />  System.EventArgs e) <br />  { <br />   <br />  int iOrderID; <br />  int returnValue = 0; <br />  int j = 0; <br />   <br />  iOrderID = Convert.ToInt32(txtOrderID.Text); <br />  localhost.MyWebService proxy = <br />  new localhost.MyWebService(); <br />   <br />  object[] results; <br />  results = proxy.CustOrdersDetail(iOrderID, <br />  out returnValue); <br />   <br />  System.XML.XmlElement result; <br />  result = (System.Xml.XmlElement) results[j]; <br />   <br />  txtResponse.Text = result.OuterXml.ToString(); <br />   <br />  } <br />  (VB.Net code) <br />  Private Sub btnRequest_Click _ <br />  (ByVal sender As System.Object, _ <br />  ByVal e As System.EventArgs) _ <br />  Handles btnRequest.Click <br />   <br />  Dim iOrderID As Int32 <br />  Dim returnValue As Int16 = 0 <br />  Dim j As Int16 <br />  Dim proxy As New localhost.MyWebService() <br />  Dim results As New Object() <br />  Dim result As System.Xml.XmlElement <br />   <br />  iOrderID = Convert.ToInt32(txtOrderID.Text) <br />   <br />  results = proxy.CustOrdersDetail _ <br />  (iOrderID, returnValue) <br />  result = results(j) <br />   <br />  txtResponse.Text = result.OuterXml.ToString() <br />   <br />  End Sub <br />   <br />  　　调用Web 服务的CustOrdersDetail 方法执行同名的存储过程。 这个方法返回一个对象数组，那些物体本身可能是XmlElement 或者SqlMessage 类型。 这些类型在你的Web 服务相关的WSDL 文件里定义的。 XmlElement 类型的对象包括从执行存储过程，用户定义的函数或SQLXML服务器上模版的返回的结果。 SqlMessage 对象包括从SQLXML 服务器返回的任何错误信息。 你可以像下面所列的代码一样在对像数组中引用XmlElement类型： <br />   <br />  (C# code) <br />   <br />  result = (System.Xml.XmlElement) results[j]; <br />  txtResponse.Text = result.OuterXml.ToString(); <br />  (VB.net code) <br />  result = results(j) <br />  txtResponse.Text = result.OuterXml.ToString() <br />   <br />  　　这段代码检索对象数组中的基础元素并且把它强制转换成XmlElement 对象类型。 然后，它展示了设置在Web表单上的XML结果，是通过把txtResponse控件上Text属性设置为 XmlElement对象的OuterXml属性的值。执行样本代码的时候，在txtOrderID文本框中输入参数10250(Northwind数据库内OrderID键对应的值。)。 . 当你点击按钮时，返回的XmlElement中就包含了下面的XML 数据： <br />   <br />  ＜SqlXml＞ <br />  ＜row ProductName="Jack's New England Clam Chowder" <br />  UnitPrice="7.7" <br />  Quantity="10" Discount="0" <br />  ExtendedPrice="77" /＞ <br />  ＜row ProductName="Manjimup Dried Apples" <br />  UnitPrice="42.4" Quantity="35" Discount="15" <br />  ExtendedPrice="1261.4" /＞ <br />  ＜row <br />  ProductName="Louisiana Fiery Hot Pepper Sauce" <br />  UnitPrice="16.8" Quantity="15" Discount="15" <br />  ExtendedPrice="214.2" /＞ <br />  ＜/SqlXml＞ <br />   <br />  　　注意在父标签＜SqlXML＞下的＜row＞元素包含属性ProductName， UnitPrice，Quantity, Discount和ExtendedPrice，与CustOrdersDetail存储过程的选定的和计算的字段之间对应。如果在使用命令行执行方式CustOrdersDetail ' 10250 ' 在SQL 查询分析器应用程序中测试程序，你将看见那个那些数据 ，这些数据在XmlElement 里包含的数据所对应的结果集里。SQLXML 也能执行模板，让你使用XPath 查询来从一个基本的XML 结果集中检索数据。模板支持能够非常在开发一个有用的应用程序时提供很大的帮助，但是它不能提供有效提升XML 数据所需要的所有的灵活性。 <br />   <br />  　　SQLXML:简单但是有限 <br />   <br />  　　SQLXML 和完整的VS.net Web 服务相比还是很有限的。例如，产生SQLXML的Web 服务不能应用一个XSLT样式表到XML数据或编程处理数据来直接输出HTML到你的客户端应用程序中。本质上，SQLXML方法要求你把你的事务层和数据层联系起来，以便有效的从你的客户端应用程序中封装程序逻辑。返回的数据结果可能是很难维护的并且不是非常容易移植到新的工具或者平台上。 <br />   <br />  　　不过，就像样本应用程序那样，你只需要遵循构造程序步骤大略的描述，写不到20行的代码行， 你就能调用Web 服务来返回XML 数据到你的客户端应用程序。 SQLXML是一个理想的解决方案，用来创建浏览在线的目录信息，销货定单历史，或者任何可以利用来检索远程原始XML数据的工具。 这项技术将被证明是适合于那些主要事务为集中数据检索和操作的应用程序，而不是用于扩展业务应用程序规则和逻辑。因为返回的数据已经是XML 形式，所以你能使用XSLT排序，格式化提高你的数据的产量。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-09 09:14:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/%e8%99%9a%e6%8b%9f%e7%9b%ae%e5%bd%95/" title="虚拟目录">虚拟目录</a>, <a href="https://www.iamivan.net/tag/sqlxml%e6%95%b0%e6%8d%ae%e6%a0%bc%e5%bc%8f/" title="SQLXML数据格式">SQLXML数据格式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ASP.NET中利用SQLXML WEB服务访问XML数据的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLYA0z.html" rel="bookmark">ASP&period;NET创建Web服务之XML基础结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|web|web服务|xml|创建 为了在网络多样性方面取得成功,XML Web服务必须不关心所选择的操作系统.对象模型和程序语言.而且,XML Web服务为了和其他基于Web的技术一样被广泛接受,它们必须: 松散耦联:如果两个系统中,只有使用的命令能理解前面提到过的自我描述基于文本的消息,那么这两个系统就被认为是松散耦联的.而另一方面,紧密耦联的系统使用大量的定制的软件来增强系统间的通讯,并且需要对系统之间了解的更多. 无所不在的通信:现在个人不太可能能够构造一个操作系统,或者在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPjeqb.html" rel="bookmark">运用VB&period;net创建Web服务访问程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|web服务|程序|创建|访问 一．介绍: Web服务是微软提出的基于互联网的开发模型,一经提出即收到了业界的广泛推从.从目前的发展趋势来看,Web服务将引领下一代互联网的潮流.它是创建可互操作的分布式应用程序的新平台,是基于网络的.分布式的模块化组件.它执行特定的任务,遵守具体的技术规范,这些规范使得Web服务能与其他兼容的组件进行互操作. 本文就向大家介绍如何运用VB.net来调用Google的Web服务,也就是如何在自己的应用程序中添加访问Google的服务的功能.文章中介绍的功能包			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9MxXZGM.html" rel="bookmark">ASP&period;NET中利用DataGrid的自定义分页功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|datagrid|分页 ASP.NET中利用DataGrid的自定义分页功能和存储过程结合实现高效分页 ASP.Net中的DataGrid有内置分页功能, 但是它的默认的分页方式效率是很低的,特别是在数据量很大的时候,用它内置的分页功能几乎是不可能的事,因为它会把所有的数据从数据库读出来再进行分页, 这种只选取了一小部分而丢掉大部分的方法是不可去取的. 在最进的一个项目中因为一个管理页面要管理的数据量非常大,所以必须分页显示,并且不能用DataGrid的内置分页功能,于是自己实现			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0PP3PM.html" rel="bookmark">在Domino 6中使用外部Web服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是Web服务? Web服务允许组织将现有的业务流程扩展为发布的服务.开发人员使用这些服务,可以构建松散耦合的软件组件,同时,便于应用程序之间的信息交换和集成.和基于 Web的传统 Domino 应用程序不一样,Web服务并没有终端用户操作的用户界面,但是提供了一个统一的方式,执行流程和进行数据交换. Web服务基于如下三个技术标准: 可扩展标记语言(eXtensible Markup Language , XML) ,它是Web服务背后的驱动力.XML 语言并不是一种编程语言或者 API,而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRyeKKb.html" rel="bookmark">asp&period;net中利用Jquery&plus;Ajax&plus;Json实现无刷新分页的实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 本篇文章主要是对asp.net中利用Jquery+Ajax+Json实现无刷新分页的实例代码进行了介绍,需要的朋友可以过来参考下,需要对大家有所帮助  代码如下: &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;AjaxJson.aspx.cs&quot; Inherits=&quot;AjaxJson&quot; %&gt; &lt;!DOCTYPE html PUBLIC &quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0PRNp.html" rel="bookmark">ASP&period;Net中利用CSS实现多界面的两种方法&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ASP.Net中利用CSS实现多界面的两种方法.分享给大家供大家参考.具体实现方法如下: 可以通过使页面动态加载不同CSS来实现多界面的效果: 方法一: 复制代码 代码如下: &lt;%@page language=&quot;C#&quot;%&gt; &lt;%@import namespace=&quot;System.Data&quot;%&gt; &lt;script language=&quot;c#&quot; runat=&quot;server&quot;&gt; publ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7xroqb.html" rel="bookmark">有木有大神提供一下android中利用Service后台服务进行手机截屏功能的代码？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 有木有大神提供一下android中利用Service后台服务进行手机截屏功能的代码? 有木有大神提供一下android中利用Service后台服务进行手机截屏功能的代码,?跪求!是在已经root权限下的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOW7r5z.html" rel="bookmark">在asp&period;net中利用其自带的登陆端，如何删除用户</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在asp.net中利用其自带的登陆端,如何删除用户 解决方案 解决方案二:希望高手们帮我一下!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKv3QM.html" rel="bookmark">服务器-请问如何在linux中利用springmv提供一个树结构的数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问如何在linux中利用springmv提供一个树结构的数据 利用该数据完成一个jquery树插件,要求树的数据在服务器端提供缓存功能!			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrXlvz.html" rel="bookmark" class="title">PhotoShop调出外景美女唯美韩系色调效果教程</a>
					<div>
						==分析:韩风的唯美色看起来浅浅淡淡,带着一种柔和色彩的视觉效果,所以我们着重从这两个点入手== 原图: 效果: 步骤1:打开原图,ctrl+j得到图层1 步骤2:给人物进行提亮和适当美肤,眠懒得要命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXdBAp.html" rel="bookmark" class="title">命名空间&OpenCurlyDoubleQuote;HaiChuang&period;AMAC&rdquo;中不存在类型或命名空间名称&OpenCurlyDoubleQuote;WCFClient&rdquo;。是否缺少程序集引用&quest;</a>
					<div>
						今天在Visual Studio 2010中编译文件的时候报出了以下错误: 经过确认引用的dll没有问题,把引用重新添加过来,重启Visual Studio 2010都没有效果. 错误一直都在,一直都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2Ywoz.html" rel="bookmark" class="title">C&plus;&plus; Builder中消息处理过程及应用</a>
					<div>
						C++ Builder作为一种RAD方式的程序开发工具,其全新的可视化编程环境.面向组件的开发模式无疑会大大地提高编程效率.它对繁杂的Windows 消息及API作了较全面的封装,编程者在大多数情况下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDJPvM.html" rel="bookmark" class="title">如何保护MySQL 中的重要数据</a>
					<div>
						      在日常的工作中,保护数据免受未授权用户的侵犯是系统管理员特别关心的问题.如果你目前用的是MySQL,就可以使用一些方便的功能来保护系统,来大大减少机密数据被未授权用户访问的风险. 企业最有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRkGKp.html" rel="bookmark" class="title">更改屏幕显示数据的作弊程序</a>
					<div>
						前言 本文(其实是随笔)和实例代码描述的内容主要包括:API拦截,消息钩子,枚举子窗体,注册系统热键.其中消息钩子.API拦截.枚举子窗体实现代码在dll中,注册系统热键代码实现在测试exe中,另外e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlyBvb.html" rel="bookmark" class="title">各种木马隐藏技术全方位大批露</a>
					<div>
						以前,我曾认为只要不随便运行网友发来的文件就不会中病毒或木马,但后来出现了利用漏洞传播的冲击波.震荡波;以前,我曾认为不上小网站就不会中网页木马,但后来包括国内某知名游戏网站在内的多个大网站均在其首页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y3Koz.html" rel="bookmark" class="title">HTML5 Canvas的事件处理介绍</a>
					<div>
						  HTML5 Canvas的事件处理介绍        DOM是Web前端领域非常重要的组成部分,不仅在处理HTML元素时会用到DOM,图形编程也同样会用到.比如SVG绘图,各种图形都是以DOM节点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AL6Rp.html" rel="bookmark" class="title">SQLServer建立交叉表查询</a>
					<div>
						 /* 使用方法,直接执行,传入参数(series_guid, 查询条件)返回一个数据集 如: 查询该系列Cylindrical1下所有产品 dbo.P_GetSeriesProductDetail  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNeA0b.html" rel="bookmark" class="title">不惧任何黑客攻击！金山毒霸2012 SP1防黑墙发布</a>
					<div>
						金山毒霸2012正式版发布不到一个月,其后续SP1体验版也在近期紧跟着发布了.金山毒霸2012 SP1对原有的防黑墙技术进行深度加工整合,新增加了&quot;防止黑客控制摄像头&quot;功能.同时还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y0vQz.html" rel="bookmark" class="title">word2007中怎么设置首字下沉</a>
					<div>
						word2007中怎么设置首字下沉   word2007设置首字下沉的步骤如下: 步骤一:首先,我们在word文档中输入一段文字,如图 步骤二:然后我们的目的是将这段文字的首字,也就是&quot;我& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPG18z.html" rel="bookmark" class="title">解析PHP函数array</a>
					<div>
						我们都知道,PHP中的数组元素删除的方式可以有很多种,经常用到的函数有php中array_unique().那么我们今天为大家介绍的PHP函数array_flip()在删除数组重复元素时的效率要比ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdmlaM.html" rel="bookmark" class="title">win7系统怎么添加日语输入法</a>
					<div>
						  win7系统怎么添加日语输入法            具体方法如下: 1.在我们的电脑的任务栏里有个[语言]的选项,我们据图操作.如果没有[语言]选项,我们可以在控制面板里面找到此项.然后单击[设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z609b.html" rel="bookmark" class="title">无法显示U盘盘符的处理方法</a>
					<div>
						  当电脑插入U盘或mp3时,总是无法显示U盘的盘符,这是什么问题呢?总结了一下,得出以下解决办法: 1.打开控制面版,点管理工具,计算机管理,磁盘管理,你会在里面找到一个和你的U盘一样大小的分区,且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Emjb.html" rel="bookmark" class="title">让Windows RT传统桌面更适合触摸操作</a>
					<div>
						自Windows RT系统发布至今,它的传统桌面受到了各方各面的穷追猛打.一方面是其不支持传统软件的使用,另一方面则是因为它的图标太小,很容易误操作,导致整个系统的用户体验都有所下降,其实这一点在Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo79dgb.html" rel="bookmark" class="title">微刊内如何进行举报？</a>
					<div>
						  举报一本微刊: 进入想要举报的微刊首页,右上方&quot;发布到微博&quot;按钮前有&quot;举报&quot;按钮,点击即可进行举报. 举报微刊文章: 进入微刊文章页面,在摘录按钮前有&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QRgPp.html" rel="bookmark" class="title">从零开始学&lowbar;JavaScript&lowbar;系列（九）&mdash;&mdash;dojo&lpar;2&rpar;（AJAX、时间控件、鼠标事件、样式修改、事件移除、消息发布订阅）</a>
					<div>
						如果没有接触过dojo,建议阅读: http://blog.csdn.net/qq20004604/article/details/51028702 里面介绍了如何加载dojo. 关于dojo的下载, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7aZaM.html" rel="bookmark" class="title">数字-Java打印String类型的问题</a>
					<div>
						问题描述 Java打印String类型的问题 代码是这样的: System.out.println( &quot;我的的兑换码为:&quot; + DigestUtils.shaHex(&quot;0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm1B8M.html" rel="bookmark" class="title">两岸开源社群面面观（总结篇）</a>
					<div>
						很多人都说台湾开源社群很好,特别是有很多有经验的大牛也是这么说,这就让我很心动了.于是决定利用 2014 年 COSCUP 的机会前往探索,谁知这一去就是连续三届啊!很多人说台湾最美的是风景(风景确实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rGwJz.html" rel="bookmark" class="title">基于Innobackupex的全备恢复</a>
					<div>
						    对于MySQL数据库的热备,xtrabackup是大多数DBA朋友们的选择.xtrabackup内嵌了一个innobackupex可用于热备MySQL数据库.本文描述了基于innobackup ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1NBdz.html" rel="bookmark" class="title">c语言编程问题 求大神解答</a>
					<div>
						问题描述 c语言编程问题 求大神解答 Maximum number ? Write a program that outputs maximum and minimum number in 10 ra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRJdWp.html" rel="bookmark" class="title">【汇编语言&sol;底层开发】10、CALL和RET指令</a>
					<div>
						CALL和RET指令常常用来实现子程序的设计.这两个指令同jmp.loop.jcxz等指令同属于转移指令. 1.ret和retf 转移指令的主要功能就是修改CS和IP或者只修改IP的内容.其中ret利 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwxBmM.html" rel="bookmark" class="title">Ubuntu Linux下与MOTO E2手机进行USB NET连接</a>
					<div>
						为了能让E2能在UBUNTU下进行SyncML而忙乎.E2刷到了49P(屠龙刀),手机支持USB NET方式连接,在WINDOWS下装好驱动后,WINDOWS能顺利与E2进行USB NET连接,但无法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl8rvp.html" rel="bookmark" class="title">专家解读县域电商发展</a>
					<div>
						DoNews 7月3日消息(记者 余维维)7月3日,在首届中国县域经济和电子商务峰会上,阿里巴巴副总裁梁春晓.北京大学国家发展研究院副院长张晓波.浙江大学电子服务研究中心主任陈德人,以及多名县长分别就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNm10db.html" rel="bookmark" class="title">人工智能主题演讲</a>
					<div>
						网易科技讯 7月9日消息,在日前的中关村创业讲坛上,神州数码首席科学家谢耘对人工智能进行了主题演讲:在演讲时,谢耘分享了人工智能研究的几个阶段,并表示,随着让计算机运算的速度越算越快,IT产业迎来了第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPRr8p.html" rel="bookmark" class="title">IBM Tivoli Monitoring监控和管理关键资源与指标</a>
					<div>
						IBM http://www.aliyun.com/zixun/aggregation/13966.html&quot;&gt;Tivoli® Monitoring解决方案旨在通过前瞻性地监控重要系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6YGPWb.html" rel="bookmark" class="title">等离子没落背后</a>
					<div>
						摘要: 等离子(电视)可视角大,亮度均匀性好:暗场动态范围大.图像层次感丰富:图像拖尾时间小,动态清晰度高:色彩还原能力好,显示色彩自然等出色的画质特征这些优势曾让很多电 等离子(电视)可视角大,亮度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7VRyp.html" rel="bookmark" class="title">数据中心如何实现</a>
					<div>
						问题描述 现在公司有如下需求:总公司下有15家子公司,每个公司都装着总公司开发的资料管理系统软件(每个软件独立数据库,用delphi开发的),现在总公司要用java开发一个数据中心,定时收集汇总各个子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd5Rdz.html" rel="bookmark" class="title">Visual C&plus;&plus;获取程序当前路径</a>
					<div>
						1． GetCurrWorkingDir(){     CString strPath;     GetCurrentDirectory(MAX_PATH,strPath.GetBuffer(MAX_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA6N4vp.html" rel="bookmark" class="title">高通和诺基亚携手推动5G新空口大规模移动部署</a>
					<div>
						高通和诺基亚今日宣布,计划合作开展基于5G新空口(NR)Release-15规范的互操作性测试和OTA外场试验,目前3GPP正在制定该规范.上述测试和试验旨在推动移动生态系统实现5G新空口技术的大规模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0V77M.html" rel="bookmark" class="title">黑龙江鹤岗局加强快递业务经营许可年度报告监督工作</a>
					<div>
						按照http://www.aliyun.com/zixun/aggregation/30914.html&quot;&gt;黑龙江省邮政管理局对&lt;快递业务经营许可证&gt;年度报告工作的整体要求 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
